Skip to main content
GET
/
scan
/
log-by-address-filtered-topics
Get Address Event Logs by Topic
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/scan/log-by-address-filtered-topics \
  --header 'X-API-KEY: <api-key>'
{}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
1028,
1101,
1111,
1112,
11124,
11155111,
11155420,
1284,
1285,
1287,
130,
1301,
137,
143,
146,
167000,
167009,
168587773,
1923,
1924,
199,
2442,
25,
252,
2522,
2741,
300,
324,
33111,
33139,
37714555429,
42161,
421614,
42170,
42220,
43113,
43114,
4352,
43521,
44787,
480,
4801,
50,
5000,
5003,
50104,
51,
531050104,
534351,
534352,
56,
57054,
59141,
59144,
660279,
80002,
80069,
80094,
81457,
8453,
84532,
97
Example:

1

contractAddress
string
default:0xdAC17F958D2ee523a2206206994597C13D831ec7
required

The address to query.

Example:

"0xdAC17F958D2ee523a2206206994597C13D831ec7"

fromBlock
number
default:18762929
required

The integer block number to start searching for logs

Example:

"18762929"

toBlock
number
default:18762929
required

The integer block number to stop searching for logs

Example:

"18762929"

topic0
string

For a single topic, specify the topic number such as topic0, topic1, topic2, topic3

Example:

"0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef"

topic1
string

For a single topic, specify the topic number such as topic0, topic1, topic2, topic3

topic2
string

For a single topic, specify the topic number such as topic0, topic1, topic2, topic3

topic3
string

For a single topic, specify the topic number such as topic0, topic1, topic2, topic3

page
number

The integer page number, if pagination is enabled

offset
number

The number of transactions displayed per page. Limited to 1000 records per query, use the page parameter for subsequent records

includeRaw
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
EtherScan
Example:

null

Response

200 - application/json

The response is of type object.